using System;
using System.Collections.Generic;
using System.Text;

namespace Filters.ApplicationObjectInterface
{
    public interface IFPFilter
    {
        string Name
        {
            get;
            set;
        }

        string FilterCategory
        {
            get;
            set;
        }

        string Description
        {
            get;
            set;
        }

        object FilterDefinition
        {
            get;
            set;
        }

        string FileName
        {
            get;
            set;
        }

        List<string> SupportedPixelFormats
        {
            get;
            set;
        }

        string SupportedPixelFormatsAsString
        {
            get;
        }

        string ConvertToThisPixelFormat
        {
            get;
            set;
        }

        string FilterType //must always be set to "DLL" in case of DLL filter
        {
            get;
            set;
        }

        string PathToDll//same as FileName
        {
            get;
            set;
        }

        string FilterGuid
        {
            get;
            set;
        }

        string DefaultParameters
        {
            get;
        }

        string Version
        {
            get;
        }
    }
}
